package com.lightinit.hsdatashow.service.admin;

import com.lightinit.hsdatashow.model.ResultState;
import com.lightinit.hsdatashow.model.admin.*;

import java.util.Map;

public interface IAtmosphereService {
    AtmosphereNameAndValueModel getAtmosphereIndex();

    AtmosphereYearResultModel getAtmosphereYear();

    AtmosphereEmissionResultModel getAtmosphereEmission();

    AtmosphereGasificationResultModel getAtmosphereGasification();

    AtmosphereIndustryResultModel getAtmosphereIndustry();

    Map<String,Object> getHBCityAirQualityIndex();

    Map<String,Object> getHSAreaAirPollutionIndex();

    ResultState getHbAreaAirFineCount();
}
